> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chartbrew.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a dashboard

> Get a specific dashboard by ID



## OpenAPI

````yaml GET /project/{id}
openapi: 3.0.1
info:
  title: Chartbrew API reference
  description: The OpenAPI specification for Chartbrew
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.chartbrew.com
security:
  - bearerAuth: []
paths:
  /project/{id}:
    get:
      description: Get a specific dashboard by ID
      parameters:
        - name: id
          in: path
          description: ID of the dashboard
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Dashboard response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Dashboard'
        '400':
          description: Error response
        '401':
          description: Not authorized
        '404':
          description: Not found
      security:
        - bearerAuth: []
components:
  schemas:
    Dashboard:
      type: object
      properties:
        id:
          type: integer
        team_id:
          type: integer
        name:
          type: string
        brewName:
          type: string
        dashboardTitle:
          type: string
        description:
          type: string
        backgroundColor:
          type: string
          default: '#103751'
        titleColor:
          type: string
          default: white
        headerCode:
          type: string
        footerCode:
          type: string
        logo:
          type: string
        logoLink:
          type: string
        public:
          type: boolean
          default: false
        passwordProtected:
          type: boolean
          default: false
        timezone:
          type: string
        updateSchedule:
          type: object
          properties:
            timezone:
              type: string
              example: Asia/Bangkok
            frequency:
              type: string
              example: every_x_minutes
              enum:
                - every_x_minutes
                - every_x_hours
                - every_x_days
                - daily
                - weekly
            frequencyNumber:
              type: string
              example: '1'
            time:
              type: object
              properties:
                hour:
                  type: integer
                  example: 9
                minute:
                  type: integer
                  example: 0
                second:
                  type: integer
                  example: 0
                millisecond:
                  type: integer
                  example: 0
        lastUpdatedAt:
          type: string
          format: date-time
        Charts:
          type: array
          items:
            $ref: '#/components/schemas/Chart'
    Chart:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        type:
          type: string
          enum:
            - line
            - bar
            - pie
            - doughnut
            - radar
            - polar
            - table
            - kpi
            - avg
            - gauge
            - matrix
            - markdown
        subType:
          type: string
        chartData:
          type: object
        chartDataUpdated:
          type: string
          format: date-time
        project_id:
          type: string
        public:
          type: boolean
        shareable:
          type: boolean
        ChartDatasetConfigs:
          type: array
          items:
            $ref: '#/components/schemas/ChartDatasetConfig'
            type: object
    ChartDatasetConfig:
      type: object
      properties:
        id:
          type: string
          format: uuid
        chart_id:
          type: integer
        dataset_id:
          type: integer
        xAxis:
          type: string
          description: >-
            Chart-specific x-axis or dimension field using traversal syntax -
            root[].field
        xAxisOperation:
          type: string
          description: Chart-specific x-axis operation
        yAxis:
          type: string
          description: >-
            Chart-specific y-axis or metric field using traversal syntax -
            root[].field
        yAxisOperation:
          type: string
          description: >-
            Chart-specific operation to perform on the y-axis - none, sum, avg,
            min, max, count
        dateField:
          type: string
          description: >-
            Chart-specific date field using traversal syntax. Specifies which
            field should be used for date filtering.
        dateFormat:
          type: string
          description: Chart-specific date format to use for date filtering. e.g YYYY-MM-DD
        conditions:
          type: array
          description: Chart-specific conditions layered on top of the dataset
          items:
            type: object
            properties:
              id:
                type: string
              field:
                type: string
                description: Field using traversal syntax - root[].field
              operator:
                type: string
                enum:
                  - is
                  - isNot
                  - greaterThan
                  - lessThan
                  - greaterThanOrEqual
                  - lessThanOrEqual
                  - contains
                  - notContains
                  - isNull
                  - isNotNull
                description: Comparison operator
              value:
                type: string
              displayValues:
                type: boolean
                description: Whether to display the values in the dropdown UI
        formula:
          type: string
        datasetColor:
          type: string
        fillColor:
          type: string
        fill:
          type: boolean
          default: false
        multiFill:
          type: boolean
          default: false
        legend:
          type: string
        pointRadius:
          type: integer
        excludedFields:
          type: array
          items:
            type: string
        sort:
          type: string
        columnsOrder:
          type: array
          items:
            type: string
        order:
          type: integer
          default: 0
        maxRecords:
          type: integer
        goal:
          type: integer
        configuration:
          type: object
          description: >-
            Additional configuration options for the dataset. Currently used to
            give values to variables.
          properties:
            variables:
              type: array
              items:
                type: object
                properties:
                  name:
                    type: string
                    description: Variable name from DataRequest VariableBinding
                  value:
                    description: Override value (string, number, etc.)
                    oneOf:
                      - type: string
                      - type: number
                      - type: boolean
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````